recorder.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::ViewTraceRecorder< View >
| Propagator for recording view trace information. More...
class | Gecode::ViewTraceRecorder< View >::Slack
| Collection of slack values. More...
class | Gecode::ViewTraceRecorder< View >::Idx
| Advisor with index information. More...
class | Gecode::TraceRecorder
| Propagator for recording trace information. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Enumerations

enum | Gecode::TraceEvent { Gecode::TE_INIT = 1 << 0 , Gecode::TE_PRUNE = 1 << 1 , Gecode::TE_FIX = 1 << 2 , Gecode::TE_FAIL = 1 << 3 , Gecode::TE_DONE = 1 << 4 , Gecode::TE_PROPAGATE = 1 << 5 , Gecode::TE_COMMIT = 1 << 6 , Gecode::TE_POST = 1 << 7 }
| Which events to trace. More...